Hello,

http://docs.typo3.org/typo3cms/TSconfigReference/singlehtml/Index.html#example-for-backend-layout

You write:

"Since TYPO3 6.0 mod.SHARED.colPos_list is no longer working. Instead, use backend layouts."

Funny...but in your example there is no solution how to hide/deactivate cols in BE-Layouts.

There is only a hint in sourcecode:

// Draw the pre-generated header with edit and new buttons if a colPos is assigned.
// If not, a new header without any buttons will be generated.

I think it would be good, to add this information also in documentation.

Stefan

Related issues:
related to Core - Bug # 43511: Page TSconfig option mod.SHARED.colPos_list do... Resolved 2012-12-02

History
#1 - 2014-04-23 14:43 - Chris topher
- Project changed from Documentation to TSconfig
- Category deleted (Documentation on typo3.org)
- Status changed from New to Needs Feedback

The example you linked to currently shows how to configure the BE to show two columns: colPos=0 and colPos=1. When you select that BE layout, the
columns with colPos=0 and colPos=1 are displayed - and all others are not.

Does that answer your question?

#2 - 2014-04-23 21:43 - Stefan Froemken
- File be-layouts.jpg added

Hello Christopher,

no. Please think about cols like "menu". This col will be filled with lib.menu instead of content element of each page. But a menu is part of the website,
http://docs.typo3.org/typo3cms/TSconfigReference/singlehtml/Index.html#example-for-backend-layout


so it should be there in be-layouts, but it should not contain a button to fill the menu part with content elements.
So...I'm missing a documentation part, where you remove the entry "colPos" from configuration, but "name" is still there. With this "special"
configuration a col in be-layout is visible, but not editable. There are no icons to add new content and a little hint appears that this col is not editable
(see screenshot)

Stefan

#3 - 2014-04-23 22:40 - Philipp Gampe

You need to differentiate TCEFORM.tt_content.colPos.removeItems = 1,2,-2 which removes certain columns for a usergroup or below a certain page
and mod.SHARED.colPos_list = 0,1,2,3,-4 as well as mod.web_layout.tt_content.colPos_list = 0,3 which change the visual appearance of the of page
module (and the available items list).

The former still works. The latter is deprecated, because the same can be archived with backend layouts.

#4 - 2014-05-05 13:40 - Stefan Froemken

Hello Philipp,

I don't think so and Jo has just pointed me to another similar problem. I have set it as a relation here in this ticket.

Stefan

#5 - 2014-05-05 14:46 - Philipp Gampe

Yes, the setting should be the fallback if no backend layout is present, but it should be ignored if there is any backend layout assigned to the page (or
page in rootline).
